View Issue Details

IDProjectCategoryView StatusLast Update
15584Bug reportsSurvey editingpublic2020-02-03 14:53
Reportertpartner Assigned Tocdorin  
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version4.0.0-RC7 
Target Version4.0.xFixed in Version4.0.0-RC14 
Summary15584: Error when adding list-radio answer with code "0"
Description

When adding an answer to a list-radio with a code "0", an error message is shown - "Answer option code cannot be empty".

See screen-cast here - https://screencast-o-matic.com/watch/cqXb2CU3Js

Also, note how after saving the question, it is shown as a "Long Free Text" but still has answer options.

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.0.0-RC7
I will donate to the project if issue is resolvedNo
Sync to Zoho Project
BrowserN/A
Database & DB-Versionmysqlnd 5.0.12
Server OS (if known)Windows 10
Webserver software & version (if known)Apache/2.4.39 (Win64)
PHP Version7.3.7

Activities

DenisChenu

DenisChenu

2019-11-18 14:54

developer   ~54657

Also, note how after saving the question, it is shown as a "Long Free Text" but still has answer options.

Reported here : https://bugs.limesurvey.org/view.php?id=15574

:)

tpartner

tpartner

2020-01-10 14:51

developer   ~55190

The shown as a "Long Free Text" appears to be fixed in RC14 but the main bug still exists - an error is displayed if adding an answer with code 0.

tpartner

tpartner

2020-01-10 16:49

developer   ~55207

More info...

When using answer codes 0-10 (single digit for 0-9), the answer with code 10 is always placed after code 1 - the sorting seems to be by the code text, not as defined in the GUI.

capture_6.png (10,037 bytes)   
capture_6.png (10,037 bytes)   
capture_5.png (13,029 bytes)   
capture_5.png (13,029 bytes)   
tpartner

tpartner

2020-01-13 17:00

developer   ~55222

I am still seeing the error and the answers are not stored. Version 4.0.0-RC14 just pulled.

JHoeck

JHoeck

2020-01-14 14:33

developer   ~55230

Fixed inside origin branch: bug/15584-error-adding-list-radio-answer-code-zero

tpartner

tpartner

2020-01-14 15:46

developer   ~55240

How do I get the fix? I just pulled from GIT and see the same problem.

markusfluer

markusfluer

2020-01-15 15:37

administrator   ~55290

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29348

lime_release_bot

lime_release_bot

2020-02-03 14:53

administrator   ~55653

Fixed in Release 4.0.0+200116

Related Changesets

LimeSurvey: master 65d85407

2020-01-13 12:19:27

markusfluer

Details Diff
Fixed issue 15584: Error when adding list-radio answer with code "0" Affected Issues
15584
mod - assets/packages/questioneditor/build.min/css/main.css Diff File
mod - assets/packages/questioneditor/build.min/js/questionedit.js Diff File
mod - assets/packages/questioneditor/build.min/js/questionedit.js.map Diff File
mod - assets/packages/questioneditor/build/js/questionedit.js Diff File
mod - assets/packages/questioneditor/build/js/questionedit.js.map Diff File
mod - assets/packages/questioneditor/src/components/subcomponents/_subquestions.vue Diff File
mod - assets/packages/questioneditor/src/helperComponents/SimplePopUpEditor.vue Diff File

LimeSurvey: master 00926bd1

2020-01-14 14:31:45

JHoeck

Details Diff
Fixed issue 15584: Error when adding list-radio answer with code "0" Affected Issues
15584
mod - application/controllers/admin/questionedit.php Diff File

Issue History

Date Modified Username Field Change
2019-11-17 15:50 tpartner New Issue
2019-11-17 15:55 tpartner Description Updated View Revisions
2019-11-18 14:54 DenisChenu Note Added: 54657
2019-11-20 16:32 cdorin Assigned To => cdorin
2019-11-20 16:32 cdorin Status new => assigned
2020-01-10 14:51 tpartner Note Added: 55190
2020-01-10 16:49 tpartner File Added: capture_6.png
2020-01-10 16:49 tpartner File Added: capture_5.png
2020-01-10 16:49 tpartner Note Added: 55207
2020-01-13 12:18 markusfluer Status assigned => resolved
2020-01-13 12:18 markusfluer Resolution open => fixed
2020-01-13 12:18 markusfluer Fixed in Version => 4.0.0-RC14
2020-01-13 17:00 tpartner Note Added: 55222
2020-01-14 12:33 cdorin Assigned To cdorin => JHoeck
2020-01-14 12:33 cdorin Status resolved => new
2020-01-14 12:33 cdorin Resolution fixed => reopened
2020-01-14 14:33 JHoeck Status new => resolved
2020-01-14 14:33 JHoeck Note Added: 55230
2020-01-14 15:46 tpartner Note Added: 55240
2020-01-15 15:37 JHoeck Changeset attached => LimeSurvey master 00926bd1
2020-01-15 15:37 markusfluer Changeset attached => LimeSurvey master 65d85407
2020-01-15 15:37 markusfluer Note Added: 55290
2020-01-15 15:37 markusfluer Assigned To JHoeck => markusfluer
2020-01-15 15:37 markusfluer Resolution reopened => fixed
2020-01-16 13:10 JHoeck Assigned To markusfluer => cdorin
2020-02-03 14:53 lime_release_bot Note Added: 55653
2020-02-03 14:53 lime_release_bot Status resolved => closed